get
https://staging.myrecurpay.com/api/admin/v2/subscriptions/
Get data of a specific subscription
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Response Params
| Attribute | Type | Description |
|---|---|---|
| id | text | Subscription Id - A globally-unique identifier of subscription |
| customer | object | Object containing details of the customer associated with the subscription. See Customer - Object |
| status | object | Object containing status of the subscription with the additional info. See Subscription Status - Object |
| plan | object | Object containing details of the plan associated with the subscription. See Plan - Object |
| originOrder | object | Object containing order payload. The same payload will be used to create renewal orders. See Order - Object |
| shipping_address | object | Object containing shipping address of the subscription. See Shipping - Object |
| billing_address | object | Object containing billing address of the subscription. See Billing - Object |
| transaction | object | Object containing transaction details of the subscription. See Transaction - Object |
| renewal | object | Object containing renewal details of the subscription. See Renewal - Object |
| orders | object | All orders of the subscription. See Order - Object |
| subscribed_at | datetime | Date and time when subscription was started. |
| created_at | datetime | Date and time when subscription was created. |
| updated_at | datetime | Date and time when subscription was updated. |
Subscription Status Object
| Attribute | Type | Description |
|---|---|---|
| state | enum | Subscription state. It can be either active, halted, paused, trial, cancelled. |
| cancellation | object | Object containing details of cancellation. See Cancellation - Object |
Cancellation Object
| Attribute | Type | Description |
|---|---|---|
| cancelled_at | datetime | Date and time of subscription cancellation. |
| cancelled_reason | string | Reason of the subscription cancellation. |
Renewal Object
| Attribute | Type | Description |
|---|---|---|
| last_renewal | datetime | Date and time of the last renewal of subscription |
| next_renewal | datetime | Date and time of the next renewal of subscription |
| pending_renewal | integer | Count of the remaining renewals, applicable only for prepaid subscriptions. |
Origin Order Object
| Attribute | Type | Description |
|---|---|---|
| line_items | object | A list of line item objects, each containing information about an item in the subscription. See Line Items - Object |
| note_attributes | object | Attributes to pass additional information in order. See Note attributes - Object |
| note | string | Additional note which can be passed as an order note. |
Line Items
| Attribute | Type | Description |
|---|---|---|
| variant_id | string | Variant id of the line item. |
| quantity | integer | Quantity of the line item. |
| properties | object | Additional information which needs to be passed along with the line item on order. See Properties - Object |
Properties
You can capture line item properties to collect customization information for products, such as engraving text, color etc.
Eg: [{"name":"Custom Engraving","value":"Recurpay"}][{"name":"Custom Engraving","value":"Recurpay"}]
| Attribute | Type | Description |
|---|---|---|
| name | string | Key name that needs to be passed as an additional info for specific line item. |
| value | string | Value of the additional key being passed on the line item. |
Note Attributes
Extra information that is added to the order. Each array entry must contain a hash with name and value keys.
Eg: [{"name":"colour","value":"red"}]
| Attribute | Type | Description |
|---|---|---|
| name | string | Key name that needs to be passed as an additional info in order. |
| value | string | Value of the additional key being passed in the order. |
